Texa Desk Application API · Reports
Get conversation statistics grouped by channel type
GET/
Get conversation counts grouped by channel type and status for a given date range. Returns statistics for each channel type including open, resolved, pending, snoozed, and total conversation counts.
Note: This API endpoint is available only in Texa Desk version 4.10.0 and above. The date range is limited to a maximum of 6 months.
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Query parameters
sincestringThe timestamp from where report should start (Unix timestamp).
untilstringThe timestamp from where report should stop (Unix timestamp).
Responses
Success
400Date range exceeds 6 months limit
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring